Vue UI Components Documentation
Vue RangeSelector Component
The RangeSelector component for Vue represents a widget which can easily be used to select a numeric or date range. The API of RangeSelector allows for a variety of user settings to be applied such as setting the range in numbers, days, weeks, months, years, etc.
Prerequisites
Refer to Vue Getting Started before you start with this help topic.
Configuration
After you have created your App.vue file, here is how you should structure it:
The RangeSelector component for Vue requires the following import:
import JqxRangeSelector from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxrangeselector.vue';
Add the jqxRangeSelector component to the components section of the the Vue class:
components: { JqxRangeSelector },
Template
The App.vue has a <template>
structural tag where we determine the application structure.
There we will also set the tags for the new components - <JqxRangeSelector/>
<template> <JqxRangeSelector :width="width" :height="height" :min="1000" :max="10000" :range="{ from: 3000, to: 5000 }" :minorTicksInterval="minorTicksInterval" :majorTicksInterval="majorTicksInterval"> </JqxRangeSelector></template>
Properties
The properties of the <JqxRangeSelector/> component are defined in the data
member of the Vue class.
We should put them in the return object of the data function:
data: function () { return { width: 500, height: 100, min: 1000, max: 10000, range: { from: 3000, to: 5000 }, minorTicksInterval: 100, majorTicksInterval: 1500 }}
Events
The events in Vue are set as an attribute with @ prefix, for example:
All events that are bound to a component are implemented in the methods
member of the Vue class.
Methods
To use a component's method we should have its reference. In Vue we refer to a component by the special $refs
property.
Before that we need to add the desired name reference to that component:
<JqxRangeSelector ref="rangeselector"></JqxRangeSelector>
Here how you can use a component's method:
this.$refs.rangeselector.getRange();
methods: { // Add here all used callbacks and/or events onChange: function () { // Do something... let range = this.refs.rangeselector.getRange(); alert(range); }}
If we want to add additional methods we should also implement them in the methods
member.
In case we need to do some precalculation or something else before the components are rendered, we should use the beforeCreate
member.
It depends on the case.
If you have followed the above steps, you App.vue file would look like this:

Angular RangeSelector Component

The RangeSelector component for Angular represents a widget which can easily be used to select a numeric or date range. The API of RangeSelector allows for a variety of user settings to be applied such as setting the range in numbers, days, weeks, months, years, etc.

1. Installation

The easiest way to get started with jQWidgets UI for Angular is to use the Angular CLI Tool. To scaffold your project structure, follow its installation instructions.

npm install -g @angular/cli
ng new jqwidgets-project
cd jqwidgets-project

Install jQWidgets

jQWidgets Angular UI comes packaged with Angular CLI schematics to make creating Angular applications easier. Schematics are included with both @angular/cdk and jqwidgets-ng. Once you install the npm packages, they will be available through the Angular CLI.

Angular CLI supports the addition of packages through the ng add command. The ng add command provides faster and more user-friendly package installation. To install the jQWidgets UI for Angular package, use ng add and add the name of the NPM package:

ng add jqwidgets-ng

Alternatively, you can use the standard installation (Manual Setup)

jQWidgets UI for Angular is distributed as jqwidgets-ng NPM package

  1. Download and install the package.
    npm install jqwidgets-ng
  2. Adding CSS reference

    The following CSS file is available in ../node_modules/jqwidgets-ng/ package folder. This can be referenced in [src/styles.css] using following code.

    @import 'jqwidgets-ng/jqwidgets/styles/jqx.base.css';

    Another way to achieve the same is to edit the angular.json file and in the styles add the style.

    "styles": [
    	"node_modules/jqwidgets-ng/jqwidgets/styles/jqx.base.css"
    ]
    

2. Add the HTML for jQWidgets component in src/app/app.component.html

app.component.html


<jqxRangeSelector [theme]="'fluent'" #rangeSelectorReference
                  [width]="getWidth()" [height]="100" 
                  [min]="0" [max]="200"
                  [range]="{ from: 10, to: 50 }" [majorTicksInterval]="10" [minorTicksInterval]="1">
  <div id="rangeSelectorContent"></div>
</jqxRangeSelector>

<div id="Div1" style="margin-left:30px; margin-top: 50px;">
  <jqxButton [theme]="'fluent'" #setButton (onClick)="onClickSet()">
    Set range
  </jqxButton>
  <jqxButton [theme]="'fluent'" #getButton (onClick)="onClickGet()">
    Get range
  </jqxButton>
</div>

	

3. Setup Component Logic

app.component.ts


import { Component, ViewChild } from '@angular/core';
import { jqxRangeSelectorModule, jqxRangeSelectorComponent } from 'jqwidgets-ng/jqxrangeselector';
import { jqxButtonComponent, jqxButtonModule } from 'jqwidgets-ng/jqxbuttons';

@Component({
    selector: 'app-root',
    imports: [jqxRangeSelectorModule, jqxButtonModule],
    standalone: true,
    templateUrl: './app.component.html'
})

export class AppComponent {
    @ViewChild('rangeSelectorReference') myRangeSelector: jqxRangeSelectorComponent;

    getWidth(): any {
        if (document.body.offsetWidth < 700) {
            return '90%';
        }

        return 700;
    }

    onClickGet(): void {
        // Get Range.
        let range = this.myRangeSelector.getRange();
        alert("The selected range is from " + range.from + " to " + range.to);
    };

    onClickSet(): void {
        // Set Range.
        this.myRangeSelector.setRange(30, 70);
    };
}

Summary

jQWidgets UI for Angular provides an easy way to integrate robust UI components into your Angular project. By using either the ng add command or manual setup, you can quickly get started. Once the setup is complete, you can add the desired jQWidgets components and configure them in your Angular components to match your application requirements.

RangeSelector API

API Reference of the jQWidgets RangeSelector component for Angular: RangeSelector API

React UI Components Documentation
Typescript React RangeSelector Component
This tutorial will show you the basics of how to get started with the jQWidgets RangeSelector React Component.
Prerequisites
Refer to Getting Started with React before you start with this help topic.
Structure
I. Imports:
import * as React from 'react'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css';import 'jqwidgets-scripts/jqwidgets/styles/jqx.material-purple.css';import JqxRangeSelector, { IRangeSelectorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxrangeselector';
II. Class:
class App extends React.PureComponent<{}, IRangeSelectorProps> { constructor(props: {}) { super(props); this.state = { width: '100%' // Other Widget Props } } render() { return ( <JqxRangeSelector width={this.state.width} height={"100%"} ..... /> ) }}
III. Render:
ReactDOM.render(<App />, document.getElementById('app'));
Events
The event names in React are constructed of the original event names starting with capital letter plus on upfront:
class App extends React.PureComponent<{}, IRangeSelectorProps> { constructor(props: {}) { super(props); this.state = { width: '100%' // Other Widget Props } } render() { return ( <JqxRangeSelector onNameOfEvent={this.handleEvent} width={this.state.width} height={"100%"} ..... /> ) } private handleEvent(e: Event): void { // Do Something ... }}
Methods & Properties
This is how you call methods & props:
//Get Methodsconst value = this.myRangeSelector.current!.methodName(arg1, arg2); //Set Methodsthis.myRangeSelector.current!.methodName(arg1, arg2); //Get Propertiesconst height = this.state.height; //Set Propertiesthis.setState({ height: 250 });
Every component have a method setOptions which accepts a object as an argument. This object contains component settings.
this.myRangeSelector.current!.setOptions({ width: 350, height: 400 });
Every component also have a method getOptions which returns the value of the requested option.
RangeSelector API
API Reference of the jQWidgets RangeSelector React Component: RangeSelector API
RangeSelector Demos
Demos Reference of the jQwidgets RangeSelector React Component: RangeSelector Demos